import random

import unittest
import onetimepad as OT


class TestOneTimePad(unittest.TestCase):

    def test_mk_as_alpha_excludes_j(self):
        self.assertTrue('J' not in OT._AS_ALPHA.values())

    def test_mk_as_alpha_dict_has_25_members(self):
        self.assertEqual(25, len(OT._AS_ALPHA.items()))

    def test_creates_pad_of_desired_length(self):
        for width in (72, 33, 99, 111):
            pad = OT.create_pad(2000, width=width)
            self.assertEqual(2000, len((''.join(pad.split())).strip('.')))
